
/* view.h */

#ifndef MY_VIEW_H
#define MY_VIEW_H

#include "area.h"
#include "palette.h"
#include "tree.h"
#include "prop.h"

#include <QGraphicsView>
#include <QGraphicsScene>

// #include <QMenuBar>
#include <QToolBar>
#include <QTextEdit>
// #include <QStatusBar>

// #include <QSplitter>

class MyView : QObject
{
   Q_OBJECT

   public:
       explicit MyView (QWidget *parent = 0);
       // virtual ~ MyView ();

   public:
      QGraphicsView * graphicsView;
      QGraphicsScene * scene;
      Area * plane;

   public:
      Area * getRoot () { return plane; }
      void addArea (Area * a);

   public:
      QToolBar * toolbar;
      MyPalette * palette;
      MyTree * tree;
      MyProp * prop;
      QTextEdit * info;

   public:
      void areaActivated (Area * area);

   public slots:
      void selectTool ();
      void resizeTool ();
      void connectTool ();
};

#endif // MY_VIEW_H
